<?php 
include('lib.shortcodes.php');
include('lib.form.php');
include('lib.functions.php');
include('lib.posttype.php');

include('lib.metabox.php');
include('lib.widgets.php');
//Create Admin Menu
add_action('admin_menu', 'create_dcartist_admin_menu');

function create_dcartist_admin_menu() {
   add_menu_page('DC Artists', 'DCArtists', 'manage_options', 'dcartist_admin', 'dcartists_settings_page');
   add_submenu_page( 'dcartist_admin', 'Settings', 'Settings', 'manage_options', 'dcartists_settings', 'dcartists_settings_page');
   add_submenu_page( 'dcartist_admin', 'Info', 'Info', 'manage_options', 'dcartists_info', 'dcartists_info_page');
}

function dcartists_info_page(){ ?>
<div class="wrap">
	<div class="item-description" itemprop="description">
<h3>Features:</h3>
<ul>
<li>2 Widgets</li>
<li>Fluid CSS/Reponsive Build</li>
<li>Buy Music Links</li>
<li>Social Links</li>
<li></li>
</ul>

	<p>DC Artists includes the following areas to manage</p>


<h3>Add/Edit Artists</h3>
<p>Add or edit Artists Profiles easily. Biography and photo.</p>

<h3>Add/Edit Discography </h3>

<p>Add a music titles to create Albums, Mixtapes and Singles for each artists, add artwork.</p> 
<p>Embed a YouTube video in the bio/description section.</p>

<h3>Genres</h3>
<p>Add genres for better music sorting</p>

<h3>Labels</h3>

<p>Add Labels. This area allows you to add label that you can assign each artist to. For example Independent artists.</p>


    </div>
</div>
<?php
}
function dcartists_settings_page()
{
	?>

<div class="wrap">
  
       <table><td colspan="2"><div class="description"><h3>Thank you for using our DC Artist plugin, for support you can e-mail <a href="https://gandenterprisesinc.com/contact" target="_blank">G an D Enterprises</a>.
          Visit our website <a href="https://www.gandenterprisesinc.com/" target="_blank">G &amp; D Enterprises Inc.</a> for more on the other services we offer including WordPress Hosting, domain registration and more.
	 Follow G &amp; D  on <a href="https://www.twitter.com/gandentinc" target="_blank">Twitter</a> or <a href="https://www.facebook.com/gandenterprisesinc" target="_blank">Facebook</a></h3>
     
     <p><h2>How to use:</h2></p>
     <p><h3>First create a new page in your WordPress install, name Artists or whatever you like.</h3></p>
     <p><h3>Add music labels (if no labels enter Independent Artists as the label)</h3></p>
     <p><h2>Add artists</h2></p> 
     <p><h3>Add music for each artist, you must write a bio for each artist profile for the socail share buttons to show</h3></p> 
     <p><h3>In the music section you can add links to online stores where the music is sold</h3></p>
     <p><h3>Add genres, artist photos and music artwork</h3></p>
     <p><h2>Display:</h2><p><h3>You can copy the shortcodes generated to display labels,music and artists. The recommeded method is to use the artist shortcodes and list them on the page.<h3></p>           
              
              </div></td>
        </tr>
      </table>
      <?php echo wp_nonce_field('dca_artist_nonce','dca_artist_nonce'); ?>     
    </form>
  </div>
</div>
<?php }

?>
